@import url(../../css/cssreset.css);
@import url(../../css/common.css);
@import url(../../css/footer.css);
@import url(../../css/header_pc.css) screen and (min-width: 769px);
@import url(../../css/header_sp.css) screen and (max-width: 768px);

/* styles.css */
/* for teacher */

#contents {
    background-color: #c7dcf2;
    padding-top: 60px;
    padding-bottom: 50px;
}
@media only screen and (max-width: 768px) {
    #contents {
        padding-top: 4vw;
        padding-bottom: 8vw;
    }
}


main {
    width: 90%;
    max-width: 920px;
    background-color: #ffffff;
    margin-left: auto;
    margin-right: auto;
    padding: 40px 90px 30px;
}
@media only screen and (max-width: 1080px) {
    main {
        padding: 40px 6% 30px;
    }
}
@media only screen and (max-width: 768px) {
    main {
        padding: 6vw 6% 4vw;
    }
}

hgroup h1 {
    position: relative;
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0.75em;
    padding-bottom: 0.1em;
    text-align: center;
    line-height: 1.4;
    font-size: 40px;
    font-weight: 700;
    text-indent: 0.5em;
    letter-spacing: 0.5em;
}
hgroup h1:after {
    position: absolute;
    left: 0.5em;
    bottom: 0;
    width: calc(100% - 1em);
    height: 2px;
    background-color: #231815;
    content: "";
}
hgroup p {
    margin-bottom: 1em;
    text-align: center;
    font-size: 21px;
    font-weight: 700;
}
@media only screen and (max-width: 768px) {
    hgroup h1  {
        font-size: 4.6vw;
    }
    hgroup p  {
        font-size: 3.0vw;
    }
}
@media only screen and (max-width: 460px) {
    hgroup h1  {
        font-size: 5.8vw;
    }
    hgroup p  {
        font-size: 3.6vw;
    }
}

.btn-wrap {
    display: flex;
    justify-content: space-between;
    width: 94%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3em;
}
.btn-wrap article {
    display: flex;
    flex-direction: column;
    width: 47%;
}
@media only screen and (max-width: 768px) {
    .btn-wrap {
        flex-direction: column;
        margin-bottom: 0;
        padding-bottom: 3em;
    }
    .btn-wrap article {
        display: block;
        width: 100%;
        margin-bottom: 1em;
    }
}

article .btn {
    margin-bottom: 1em;
}
article .btn a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 300px;
    height: 3.6em;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2em;
    padding: 0 1em;
    border-radius: 9999px;
    box-shadow: 3px 3px 8px 0px rgba(0,0,0,0.4);
    text-align: center;
    line-height: 1.2;
    font-size: 18px;
    font-weight: 700;
    color: #ffffff;
}
article .btn-a a {
    background-color: #004386;
    border: 2px solid #53abdd;
}
article .btn-b a {
    background-color: #cd4210;
    border: 2px solid #f8b73d;
}
article .btn a:hover {
    box-shadow: none;
    transform: translate(3px,3px);
}
@media only screen and (max-width: 768px) {
    article .btn a {
        max-width: 46vw;
        font-size: 2.6vw;
    }
    article .btn a:hover {
        box-shadow: 3px 3px 8px 0px rgba(0,0,0,0.4);
        transform: none;
    }
}
@media only screen and (max-width: 460px) {
    article .btn a {
        max-width: 54vw;
        font-size: 3.2vw;
    }
}

article p {
    flex-grow: 1;
    margin-bottom: 1em;
    text-align: center;
}


p.lead {
    margin-bottom: 0.5em;
    text-align: center;
    font-size: 18px;
    font-weight: 700;
}
@media only screen and (max-width: 768px) {
    p.lead  {
        font-size: 2.8vw;
    }
}
@media only screen and (max-width: 460px) {
    p.lead  {
        font-size: 3.2vw;
    }
}

.table-wrap {
    margin-bottom: 1.5em;
}
table {
    width: 100%;
}
table thead th,
table thead td {
    padding: 0.25em 1em;
}
table tbody th,
table tbody td {
    padding: 0.5em 1em;
    font-size: 18px;
}

table.table-a,
table.table-a thead {
    border-bottom: 1px solid #ee83a4;
}
table.table-b,
table.table-b thead {
    border-bottom: 1px solid #56a2da;
}

table thead th {
    border-right: 0;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    text-align: center;
    font-size: 20px;
    font-weight: 900;
    color: #ffffff;
    text-indent: 0.25em;
    letter-spacing: 0.25em;
}
table.table-a thead th {
    background-color: #d70066;
}
table.table-b thead th {
    background-color: #005aa0;
}
table thead td {
    text-align: center;
    font-weight: 700;
    text-indent: 0.5em;
    letter-spacing: 0.5em;
    white-space: nowrap;
}
table thead td:last-child {
    text-indent: 2em;
    letter-spacing: 2em;
}
table.table-a thead td {
    color: #d70066;
}
table.table-b thead td {
    color: #005aa0;
}
table tbody th {
    padding: 0.5em 0.25em;
    text-align: center;
    font-weight: 700;
    text-indent: 1em;
    letter-spacing: 1em;
}
table tbody td {
    text-align: center;
}
table tbody td:last-child {
    text-align: left;
}
table tbody th,
table tbody td:not(:last-child) {
    white-space: nowrap;
}
table.table-a tbody th,
table.table-a td {
    border-right: 1px solid #ee83a4;
}
table.table-b tbody th,
table.table-b td {
    border-right: 1px solid #56a2da;
}
table tr td:last-child {
    border-right: 0;
}
table.table-a tbody tr:nth-child(even) {
    background-color: #fef6f8;
}
table.table-b tbody tr:nth-child(even) {
    background-color: #f1f9fd;
}

@media only screen and (max-width: 768px) {
    table tbody th,
    table tbody td {
        font-size: 2.6vw;
    }
    table thead th {
        font-size: 3.4vw;
    }
}
@media only screen and (max-width: 460px) {
    table tbody th,
    table tbody td {
        font-size: 3.2vw;
    }
    table thead th {
        font-size: 3.6vw;
    }
}



